/**
 * @file jvmVirtualPeripheral.h
 */
#ifndef JVM_VIRTUAL_PERIPHERAL_H
#define JVM_VIRTUAL_PERIPHERAL_H

#define  firstBankVPcog1  (1*4)
#define  firstBankVPcog2  (firstBankVPcog1 + ((MAX_NUM_VPS*6)*4/2))

void vpStart(void);
void vpStop(void);
void writeVPregister(long address, long value);  
long readVPregister(long address);
void nm_core_Timer_init(long bank);
void nm_core_Timer_latch(long bank);
void nm_core_ADC_install(long bank);
void nm_core_DAC_install(long bank);
void nm_core_PWM_install(long bank);
void nm_core_PWM_updateInternal(long bank, long highTime, long lowTime, long highZero, long lowZero);
void nm_core_Uart_rxInit(long bank);
void nm_core_Uart_rxRead(long bank);
void nm_core_Uart_txInit(long bank);

#endif
