/**
 * @file jvmComm.h
 */
#ifndef JVM_COMM_H
#define JVM_COMM_H

void comStart(long port, long monitor);
void doReset(void);
long doDebug(long timeout);
void sendStepDone(void);
void breakpoint(void);
void end(void);
void errOpcode(long jembyte);
void errException(long classOffset, long pc);
void status(long str);
void message(long str, long len);
long getByte(void);  
long isReset(void);
void setReset(void);
void clearReset(void);

#endif