/**
 * @file jvmException.h
 */
#ifndef JVM_EXCEPTION_H
#define JVM_EXCEPTION_H

//exceptions
#define  kIllegalArgumentException   1
#define  kNullPointerException       2
#define  kIndexOutOfBoundsException  3
#define  kOutOfMemoryError           4

long instanceOf(long instance, long class);
void throwException(long e);
void jb_athrow(void);


#endif